## org.h2.java.lang
Class StringBuilder

    java.lang.Object
      org.h2.java.lang.StringBuilder

    public class StringBuilder

extends java.lang.Object

A java.lang.String implementation.

Constructor Summary
`StringBuilder()`
`StringBuilder(String s)`

Method Summary
`StringBuilder` `append(int x)` Append the given value.
`StringBuilder` `append(String x)` Append the given value.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringBuilder

    public StringBuilder(String s)

### StringBuilder

    public StringBuilder()

Method Detail

### append

    public StringBuilder append(String x)

  Append the given value.

  Parameters:
    `x` - the value
  Returns:
    this

### append

    public StringBuilder append(int x)

  Append the given value.

  Parameters:
    `x` - the value
  Returns:
    this

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`